%define name gtk-manix
%define version 1.0
%define release 4mdk

Summary: multi-level Pacman-style game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Url: http://mc.microcaos.pt/freeware/
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk+-devel


%description
multi-level Pacman-style game

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}

%build
%configure
%make

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_prefix}/share/manix/HighScores.dat

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/manix"\
title="Amusement"\
longtitle="multi-level Pacman-style game"\
needs="x11"\
section="Amusement/Arcade"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/manix
%{_libdir}/menu/*

%changelog
* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-4mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- fix name
- fix file list
- rebuild

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- BM
- macros
- menu

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- first spec
